For the complete documentation index, see llms.txt. This page is also available as Markdown.

Material Parameters

Get material parameters

get

The API gives the ability to get all material parameters.

Authorizations
x-api-keystringRequired
Query parameters
namestringOptional
Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Responses
200Success
application/json
idstring · uuidRequired

Unique identifier of the material parameter

Example: b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e
namestringRequired

Name of the material parameter

Example: Color
created_atstring · date-timeRequired

Timestamp when the parameter was created

Example: 2025-01-23T17:01:31.692Z
get/api/v1/public/material-parameters
GET /api/v1/public/material-parameters HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "id": "b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e",
    "name": "Color",
    "created_at": "2025-01-23T17:01:31.692Z"
  }
]

Create material parameter

post

The API gives the ability to create a parameter for material.

Authorizations
x-api-keystringRequired
Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Body
namestringRequired

Name of the material parameter

Example: Color
Responses
201Success
application/json
idstring · uuidRequired

Unique identifier of the material parameter

Example: b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e
namestringRequired

Name of the material parameter

Example: Color
created_atstring · date-timeRequired

Timestamp when the parameter was created

Example: 2025-01-23T17:01:31.692Z
post/api/v1/public/material-parameters
POST /api/v1/public/material-parameters HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "name": "Color"
}
{
  "id": "b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e",
  "name": "Color",
  "created_at": "2025-01-23T17:01:31.692Z"
}

Update material parameter

patch

The API gives the ability to update an existing material parameter’s name.

Authorizations
x-api-keystringRequired
Path parameters
parameter_idstring · UUIDRequired

Parameter ID

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Body
namestringOptional

Name of the material parameter

Example: Color
Responses
200Success
application/json
messagestringRequired

Message returned from API confirming the operation

Example: The operation was done successfully
patch/api/v1/public/material-parameters/{parameter_id}
PATCH /api/v1/public/material-parameters/{parameter_id} HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "name": "Color"
}
{
  "message": "The operation was done successfully"
}

Last updated